OracleDBLink (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.db.oracle.OracleDBLink interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.db.oracle
Interface OracleDBLink

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface OracleDBLink

extends LogicalElement

Represents a Database link for Oracle to Oracle

Naming Rules:
  0="parent,serviceName" 1="managedSystemName"
Persistable:
  true
Table Name:
  ORCLDBLNK
Display Name:
  serviceName

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getIpAddress()`
`OracleDatabase` | `getParent()`
`java.lang.String` | `getPort()`
`java.lang.String` | `getServiceName()`
`boolean` | `hasIpAddress()`
`boolean` | `hasParent()`
`boolean` | `hasPort()`
`boolean` | `hasServiceName()`
`void` | `setIpAddress(java.lang.String ipaddr)`
`void` | `setParent(OracleDatabase parent)`
`void` | `setPort(java.lang.String port)`
`void` | `setServiceName(java.lang.String sid)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    OracleDatabase getParent()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(OracleDatabase parent)

### hasParent

    boolean hasParent()

### getPort

    java.lang.String getPort()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPort

    void setPort(java.lang.String port)

### hasPort

    boolean hasPort()

### getIpAddress

    java.lang.String getIpAddress()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setIpAddress

    void setIpAddress(java.lang.String ipaddr)

### hasIpAddress

    boolean hasIpAddress()

### getServiceName

    java.lang.String getServiceName()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServiceName

    void setServiceName(java.lang.String sid)

### hasServiceName

    boolean hasServiceName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD